﻿using System;
using System.Collections.Generic;
using System.Text;

namespace MindFactorial.LaunchPoint.Server.Library
{
    /// <summary>
    /// A generic response code from any server hosting the BRE
    /// </summary>
    [Serializable]
    public enum ResponseCode : int
    {
        /// <summary>
        /// rule succeeded
        /// </summary>
        SUCCESS = 0,

        /// <summary>
        /// rule failed with exception
        /// </summary>
        EXCEPTION = 1,

        /// <summary>
        /// rule or adapter was not found
        /// </summary>
        NOT_FOUND = 2,

        /// <summary>
        /// the result was null
        /// </summary>
        NULL_RESULT = 3
    }
}
