using System;
using System.Collections.Generic;
using System.Text;

namespace MindFactorial.LaunchPoint.Console.Library
{
    /// <summary>
    /// Represents an extension of a plugin for defining surfaces.  This class should not be directly inherited
    /// </summary>
    public class PluginExtender : System.Windows.Controls.UserControl
    {
        IConsolePlugIn _plugin;

        /// <summary>
        /// Gets the plugin represented by this extender
        /// </summary>
        protected internal IConsolePlugIn PluginContext
        {
            get
            {
                return _plugin;
            }
            internal set
            {
                _plugin = value;
            }
        }

        /// <summary>
        /// Called when the application is shutting down
        /// </summary>
        protected internal virtual void OnShutDown()
        {

        }

    }

   
}
