using System;
using System.Collections.Generic;
using System.Text;

namespace MindFactorial.LaunchPoint.Console.Library
{
    /// <summary>
    /// Pointer to a runnable component launch handler
    /// </summary>
    /// <param name="application">application to launch</param>
    public delegate void LaunchDelegate(string application);


    /// <summary>
    /// Pointer to a messaging handler
    /// </summary>
    /// <param name="application">application targeted</param>
    /// <param name="filter">filter paramenter</param>
    /// <param name="message">message being sent</param>
    public delegate void GenericConsoleMessagingHandler(string application, string filter, string message);
}
