﻿using System;
using System.Collections.Generic;
using System.Text;
using MindFactorial.LaunchPoint.Common;

namespace MindFactorial.LaunchPoint.Runtime
{
    /// <summary>
    /// Represents a base class for all types of connection providers
    /// </summary>
    public abstract class ConnectionProvider : ImmortalIPCObject, INamedObject<string>
    {
        string _name = null;

        /// <summary>
        /// Gets the name of the connection provider 
        /// </summary>
        public string Name
        {
            get
            {
                
                return _name;
            }
            protected set
            {
                _name = value;
            }

        }
    }
}
