using System;
using System.Collections.Generic;
using System.Text;

namespace MindFactorial.LaunchPoint.Runtime
{
    /// <summary>
    /// This class can be used to display alert Messages for any exceptions.
    /// </summary>
    public class PromptManager : MindFactorial.LaunchPoint.Common.ManagerObject
    {
        /// <summary>
        /// Displays an alert LaunchPointssage
        /// </summary>
        /// <param name="format">specified String</param>
        /// <param name="args">format items</param>
        public static void Alert(string format, params object[] args)
        {
            //System.Windows.MessageBox.Show(string.Format(format, args));
            LaunchPointAlert.Show(string.Format(format, args));
        }
    }
}
