﻿using System;
using System.Collections.Generic;
using System.Text;

namespace MindFactorial.LaunchPoint.Common
{
    /// <summary>
    /// Specifies the attribute of an LaunchPoint adaptter
    /// </summary>
    public class AdapterAttribute : LaunchPointAttribute, INamedObject<string> 
    {
        string _name;

        public AdapterAttribute(string name)
        {
            this._name = name;
        }

        public string Name
        {
            get
            {
                return _name;
            }
        }
    }
}
