﻿using System;
using System.Collections.Generic;
using System.Text;

namespace MindFactorial.LaunchPoint.Server.Library
{

    /// <summary>
    /// represents a generic response from the BRE
    /// </summary>
    [Serializable]
    public struct BREResponse
    {

        /// <summary>
        /// data of the response
        /// </summary>
        public string Data;

        /// <summary>
        /// response code used to evaluate data
        /// </summary>
        public ResponseCode Code;  

       

    }
}
