﻿using System;
using System.Collections.Generic;
using System.Text;


namespace MindFactorial.LaunchPoint.Runtime
{
    /// <summary>
    /// Represents an interface to the remote object registry
    /// </summary>
    public interface IBREObjectRegistry : MindFactorial.LaunchPoint.Common.IObject
    {
        /// <summary>
        /// executes a rule in the business rules engine
        /// </summary>
        /// <param name="securityinfo"></param>
        /// <param name="adapterID"></param>
        /// <param name="ruleID"></param>
        /// <param name="arguments"></param>
        /// <returns></returns>
        MindFactorial.LaunchPoint.Server.Library.BREResponse  ExecuteRule(Guid session_id, string securityinfo, string adapterID, string ruleID, string arguments);
    }
}
