﻿using System;
using System.Collections.Generic;
using System.Text;

namespace MindFactorial.LaunchPoint.Common
{
    /// <summary>
    /// Represents tha base class for all adapters in the LaunchPoint Framework
    /// </summary>
    public abstract class FrameworkAdapter : LaunchPointObject, INamedObject<string>
    {
        /// <summary>
        /// the name of a framework adapter
        /// </summary>
        protected string _name;

        /// <summary>
        /// gets the name of the adapter
        /// </summary>
        public string Name
        {
            get
            {
                return _name;
            }
            protected set
            {
                _name = value;
            }
        }
    }
}
