using System;
using System.Collections.Generic;
using System.Text;

namespace MindFactorial.LaunchPoint.Common
{
    /// <summary>
    /// Supports all classes in the LaunchPoint Framework class hierarchy and provides 
    /// low-level services to derived classes. 
    /// This is the ultimate base class of all classes in the LaunchPoint Framework; 
    /// it is the root of the type hierarchy. 
    /// </summary>
    [Serializable]
    public class LaunchPointObject : Object, IObject 
    {
        
    }
}
