﻿using System;
using System.Collections.Generic;
using System.Text;
using MindFactorial.LaunchPoint.Common;

namespace MindFactorial.LaunchPoint.Console.Library
{
    /// <summary>
    /// Represents a list of PLuginControllers
    /// </summary>
    public class PluginControllerCollection : GenericNamedObjectDictionary<string,PluginController>
    {
        internal void NotifyPluginLoaded()
        {
            foreach (PluginController controller in this._items.Values)
            {
                controller.Load();              
            }
        }
    }
}
