using System;
using System.Collections.Generic;
using System.Text;

namespace MindFactorial.LaunchPoint.Console.Library
{
    /// <summary>
    /// Represents a discrete set of values indicating the location where a surface may be placed
    /// </summary>
    public enum SurfaceTarget
    {
        /// <summary>
        /// The top toolbar
        /// </summary>
        Toolbar,

        /// <summary>
        /// The top left area
        /// </summary>
        CommandContext,

        /// <summary>
        /// The general context area
        /// </summary>
        Content,

        /// <summary>
        /// A non UI object for handling arbitrary messages
        /// </summary>
        Controller = 4
    }
}
