﻿using System;
using System.IO;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Navigation;
using MindFactorial.LaunchPoint.Console.Library;

namespace MindFactorial.LaunchPoint.Console
{
    internal partial class ContentPanel : ILabeledPanel
	{
		public ContentPanel()
		{
			this.InitializeComponent();

			// Insert code required on object creation below this point.
		}

        protected internal override void SetPresentationSurface(ISurfacePresenter presenter)
        {
            base.SetPresentationSurface(presenter);
            this.LayoutRoot.Child = presenter.Surface;
            //this.contentLabel.Content = "This is a label";
            this.contentLabel.Content = presenter.Label;
        }

        #region IPanel Members

        public string PanelLabel
        {
            get
            {
                return (string)contentLabel.Content;
            }
            set
            {
                contentLabel.Content = (string)value;
            }
        }

        #endregion
    }
}